Package: org.codehaus.groovy.control.io

## [Java] Class InputStreamReaderSource

- org.codehaus.groovy.control.io.InputStreamReaderSource

- A ReaderSource for source strings.

  Authors:
    Chris Poirier

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractReaderSource` | `configuration`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `InputStreamReaderSource (InputStream stream, CompilerConfiguration configuration)` Creates the ReaderSource from a File descriptor.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `canReopenSource()` Returns true if the source can be restarted (ie. if getReader() will return non-null on subsequent calls.
    `` | `Reader` | `getReader()` Returns a new Reader on the underlying source object.
    `` | `URI` | `getURI()` TODO: Should return the URI for this source, but we can't know what it is here.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractReaderSource` | `canReopenSource, cleanup, getLine`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public InputStreamReaderSource(InputStream stream, CompilerConfiguration configuration)

      Creates the ReaderSource from a File descriptor.

      Parameters:
        `stream` - stream containing source
        `configuration` - configuration for compiling source

  - ### Method Detail

    - #### public boolean canReopenSource()

      Returns true if the source can be restarted (ie. if getReader() will return non-null on subsequent calls.

    - #### public Reader getReader()

      Returns a new Reader on the underlying source object.

    - #### public URI getURI()

      TODO: Should return the URI for this source, but we can't know what it is here.

      Returns:
        null